DefaultResponseParser (Apache HttpClient 4.5.13 API)
Date: 2020-10-03

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.http.impl.conn
Class DefaultResponseParser

    java.lang.Object
      org.apache.http.impl.io.AbstractMessageParser<org.apache.http.HttpMessage>
          org.apache.http.impl.conn.DefaultResponseParser

All Implemented Interfaces:
  org.apache.http.io.HttpMessageParser<org.apache.http.HttpMessage>

Deprecated. (4.2) use `DefaultHttpResponseParser`

    @Deprecated
    @Contract(threading=SAFE_CONDITIONAL)
    public class DefaultResponseParser

extends org.apache.http.impl.io.AbstractMessageParser<org.apache.http.HttpMessage>

Default HTTP response parser implementation.

The following parameters can be used to customize the behavior of this class:

- `CoreConnectionPNames.MAX_HEADER_COUNT`
- `CoreConnectionPNames.MAX_LINE_LENGTH`
- `ConnConnectionPNames.MAX_STATUS_LINE_GARBAGE`

Since:
  4.0

Field Summary

Fields inherited from class org.apache.http.impl.io.AbstractMessageParser
`lineParser`

Constructor Summary
`DefaultResponseParser(org.apache.http.io.SessionInputBuffer buffer, org.apache.http.message.LineParser parser, org.apache.http.HttpResponseFactory responseFactory, org.apache.http.params.HttpParams params)` Deprecated.

Method Summary
`protected int` | `getMaxGarbageLines(org.apache.http.params.HttpParams params)` Deprecated.
`protected org.apache.http.HttpMessage` | `parseHead(org.apache.http.io.SessionInputBuffer sessionBuffer)` Deprecated.

Methods inherited from class org.apache.http.impl.io.AbstractMessageParser
`parse, parseHeaders, parseHeaders`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultResponseParser

    public DefaultResponseParser(org.apache.http.io.SessionInputBuffer buffer,
                                 org.apache.http.message.LineParser parser,
                                 org.apache.http.HttpResponseFactory responseFactory,
                                 org.apache.http.params.HttpParams params)

  Deprecated.

Method Detail

### getMaxGarbageLines

    protected int getMaxGarbageLines(org.apache.http.params.HttpParams params)

  Deprecated.

### parseHead

    protected org.apache.http.HttpMessage parseHead(org.apache.http.io.SessionInputBuffer sessionBuffer)
                                             throws IOException,
                                                    org.apache.http.HttpException

  Deprecated.
  Specified by:
    `parseHead` in class `org.apache.http.impl.io.AbstractMessageParser<org.apache.http.HttpMessage>`
  Throws:
    `IOException`
    `org.apache.http.HttpException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999–2020 The Apache Software Foundation. All rights reserved.